Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76719 - RAID-init in rc.sysinit fails if RAID-devices have already been initialized in initrd
Summary: RAID-init in rc.sysinit fails if RAID-devices have already been initialized i...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-25 13:56 UTC by Joakim Ahlin
Modified: 2014-03-17 02:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-14 04:57:30 UTC


Attachments (Terms of Use)

Description Joakim Ahlin 2002-10-25 13:56:32 UTC
Description of Problem:

When RAID-arrays are started from within an initrd 
(using "raidautorun /dev/mdX" in linuxrc"), the boot fails in rc.sysinit. When 
trying to initialize the RAID arrays from within the script, it backs out with 
the error "raid device has already been started" or something. 

I have also been experiencing the "Typo in RAID setup"-bug from #71087.

Version-Release number of selected component (if applicable):

initscripts-6.67-1

How Reproducible:

Very.

Steps to Reproduce:
1. Set your lilo config to use /dev/mdX as root file system, and 
modify /etc/fstab to use the same mdX as / filesystem.
2. Run mkinitrd with raidmodule loaded
3. Reboot. Boot raid array will be initialized in initrd, and the RAID 
initialization in rc.sysinit will fail.

Actual Results:


Expected Results:


Additional Information:

Comment 1 Bill Nottingham 2002-11-12 05:04:05 UTC
Hm, we've done root on raid here before, without problems. Can you post the
*exact* errors?

Comment 2 Bill Nottingham 2003-01-14 04:57:30 UTC
closed, no followup


Note You need to log in before you can comment on or make changes to this bug.